<?php
// -----------------------------------------------------------
// GChat Video Chat - http://www.gchat.com/video-chat.html
// Copyright (C) 2013 GChat Limited. All rights reserved.
// GChat Video Chat is not a free software, see LICENSE file
// -----------------------------------------------------------
 
defined('VISICHAT_START') or die("Access Denied");

require_once "IntegrationModule.class.php";

/*
 * Video Chat SkaDate integration class
 *
 */
 class SkaDate extends IntegrationModule
 {
	 
	 private $allowRegistration = false;	 

	 /**
	* SkaDate object constructor
	*
	* @access	public
	*/	
	function __construct()
	{
		parent::__construct(); 
	}
	
	/**
	* Indicates whether when this integration is used, can use register or not.
	*
	* @return boolean
	*/
	public function allowRegistration()
	{
		return $this->allowRegistration;
	}
	
	/**
	* Get the module name
	*
	* @return string
	*/
	public function getName()
	{
		return "SkaDate";
	}
	
	/**
	* Get the module label
	*
	* @return string
	*/
	public function getLabel()
	{
		return "SkaDate";
	}
	
	/**
	* Get user id of the user from session data
	*
	* @return integer
	*/
	public function getCurrentUserId()
	{
		return $_SESSION["profile_id"];
	}
	
	/**
	* Get picture of the user
	*
	* @return string
	*/
	public function getPicture( $userId )
	{
		return "";
	}
	
	/**
	* Get the user birthday
	*
	* @return timestamp
	*/
	public function getBirthday ( $userId )
	{
		return "";
	}
	
	/**
	* Get the user gender
	*
	* @return string m (male), f (female), n (not specified), c (couple)
	*/
	public function getGender ( $userId )
	{
		return "";
	}
	
	/**
	* Encrypt the user password
	*
	* @return string	encrypted password
	*/
	public function encryptPassword ( $password, $userId = "" )
	{	
		return md5 ( $password );
	}
 }
 
 
 ?>